.dmuka-popup {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 2;
    overflow: hidden;
    transition-duration: 0.5s;
    opacity: 0;
    pointer-events: none;
}

.dmuka-popup[data-lock="true"] {
    pointer-events: all;
}

.dmuka-popup[data-state="visible"] {
    opacity: 1;
}

.dmuka-popup-window {
    position: absolute;
    background-color: white;
    border: 1px solid #89a4c7;
    max-width: 100%;
    max-height: 100%;
    box-sizing: border-box;
    transition: left 0s, top 0s, opacity 0.6s, transform 0.6s;
    opacity: 0;
    transform: scale(1.3);
}

.dmuka-popup[data-state="visible"] .dmuka-popup-window {
    opacity: 1;
    transform: scale(1);
}

.dmuka-popup-header {
    float: left;
    width: 100%;
    height: 30px;
    line-height: 30px;
    font-family: arial;
    font-size: 14px;
    font-weight: bold;
    box-sizing: border-box;
    padding-left: 10px;
    padding-right: 10px;
    background-color: #fff;
    display: none;
}

.dmuka-popup[data-active-header="true"] .dmuka-popup-header {
    display: block;
}

.dmuka-popup-content {
    float: left;
    width: 100%;
    height: calc(100% - 30px - 30px);
    box-sizing: border-box;
    padding: 10px;
    overflow: auto;
    font-family: arial;
    font-size: 12px;
}

.dmuka-popup[data-active-header="false"][data-active-footer="true"] .dmuka-popup-content {
    margin-top: 30px;
}

.dmuka-popup[data-active-header="true"][data-active-footer="false"] .dmuka-popup-content {
    height: calc(100% - 30px);
}

.dmuka-popup[data-active-header="false"][data-active-footer="false"] .dmuka-popup-content {
    height: calc(100% - 30px);
    margin-top: 30px;
}

.dmuka-popup-footer {
    float: left;
    width: 100%;
    height: 30px;
    box-sizing:  border-box;
    padding-top: 3px;
    text-align: center;
    display: none;
}

.dmuka-popup[data-active-footer="true"] .dmuka-popup-footer {
    display: block;
}

.dmuka-popup-footer-button {
    border: 0px;
    background-color: #ffffff;
    border: 1px solid #cecece;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 3px;
    padding-bottom: 3px;
    cursor: pointer;
    transition-duration: 0.3s;
}

.dmuka-popup-footer-button:not(:last-child) {
    margin-right: 10px;
}

.dmuka-popup-footer-button:hover, .dmuka-popup-footer-button:focus {
    background-color: #f3f3f3;
    border: 1px solid #b9b9b9;
}

.dmuka-popup-closebutton {
    position: absolute;
    right: 4px;
    top: 3px;
    border: 0px;
    background-color: transparent;
    font-size: 18px;
    font-family: arial;
    transition-duration: 0.1s;
    cursor: pointer;
    border-radius: 6px;
}

.dmuka-popup-closebutton:after {
    content: '×';
}